Bug 1378677 - "nfs.disable: on" is not showing in Vol info by default for the 3.1.3 volumes after updating to 3.2
Summary: "nfs.disable: on" is not showing in Vol info by default for the 3.1.3 volumes...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On: 1379223 1385451
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-23 04:49 UTC by Byreddy
Modified: 2017-03-23 05:48 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1379223 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:48:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1378676 None None None Never

Internal Links: 1378676

Description Byreddy 2016-09-23 04:49:51 UTC
Description of problem:
=======================
The volume option "nfs.disable: on" is not showing for the 3.1.3 volumes after updating to 3.2 ( glusterfs-3.8.4-1 ).

Version-Release number of selected component (if applicable):
=============================================================
This option is showing for the volumes created after updating 3.2.


How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Have 3.1.3 setup with replica-1 volume 
2. Update to 3.2 ( glusterfs-3.8.4-1  ) 
3. Check volume info 
4. Create a new replica-2 volume  
5. Compare the volume info of replica-1 and replica-2


Actual results:
===============
"nfs.disable: on" is showing in Vol info by default for the 3.1.3 volumes after updating to 3.2

Expected results:
=================
Volume options in the volume info should be same for multiple same volume type by default.




Additional info:

Comment 3 Atin Mukherjee 2016-09-26 05:27:49 UTC
Upstream mainline patch http://review.gluster.org/#/c/15568 posted for review.

Comment 4 Atin Mukherjee 2016-09-26 05:29:37 UTC
RCA:

The options were put up in the dictionary during volume creation and were never recreated during upgrade and hence volume info doesn't show them as default. These options are now been put up in to volume's dictionary when the op-version is bumped up.

Comment 5 Kaushal 2016-09-26 07:19:34 UTC
Copying my comment from the upstream bug:

The volume that was upgraded, will still have gNFS running for it, so volume info not having gNFS is expected and correct. This isn't a bug IMO, and doesn't need anything to be fixed.

Comment 8 Atin Mukherjee 2016-10-18 05:28:15 UTC
upstream mainline : http://review.gluster.org/15568
upstream 3.9 : http://review.gluster.org/15652
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/87434

Comment 10 Byreddy 2016-10-27 10:15:09 UTC
Verified this bug using the build - 3.8.4-3

Fix is working good and i am seeing the nfs.disable:on in the volume info after updating 3.1.3 volume to 3.2 available build.

Moving to verified state.

Comment 12 errata-xmlrpc 2017-03-23 05:48:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.